Subject: Re: Ma Huang

From: [email-masked] (Moreta)
Date: Sat, 15 Oct 94 11:02:58 PST

The thing you have to remember about Ma Huang is that it builds up in
your system.. its not totally water soulable.. its not a herb to be
using to gain "energy" from.  Its also advisable to not take it if you
have a history of hypertention, cardiac problems etc.. without the
guidence of a professional.. also if you are pregnant it can cause a
spontanious abortion in some women..

Mo